# Repository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**allow_fast_forward_only_merge** | Option<**bool**> |  | [optional]
**allow_merge_commits** | Option<**bool**> |  | [optional]
**allow_rebase** | Option<**bool**> |  | [optional]
**allow_rebase_explicit** | Option<**bool**> |  | [optional]
**allow_rebase_update** | Option<**bool**> |  | [optional]
**allow_squash_merge** | Option<**bool**> |  | [optional]
**archived** | Option<**bool**> |  | [optional]
**archived_at** | Option<**String**> |  | [optional]
**avatar_url** | Option<**String**> |  | [optional]
**clone_url** | Option<**String**> |  | [optional]
**created_at** | Option<**String**> |  | [optional]
**default_allow_maintainer_edit** | Option<**bool**> |  | [optional]
**default_branch** | Option<**String**> |  | [optional]
**default_delete_branch_after_merge** | Option<**bool**> |  | [optional]
**default_merge_style** | Option<**String**> |  | [optional]
**description** | Option<**String**> |  | [optional]
**empty** | Option<**bool**> |  | [optional]
**external_tracker** | Option<[**models::ExternalTracker**](ExternalTracker.md)> |  | [optional]
**external_wiki** | Option<[**models::ExternalWiki**](ExternalWiki.md)> |  | [optional]
**fork** | Option<**bool**> |  | [optional]
**forks_count** | Option<**i64**> |  | [optional]
**full_name** | Option<**String**> |  | [optional]
**has_actions** | Option<**bool**> |  | [optional]
**has_issues** | Option<**bool**> |  | [optional]
**has_packages** | Option<**bool**> |  | [optional]
**has_projects** | Option<**bool**> |  | [optional]
**has_pull_requests** | Option<**bool**> |  | [optional]
**has_releases** | Option<**bool**> |  | [optional]
**has_wiki** | Option<**bool**> |  | [optional]
**html_url** | Option<**String**> |  | [optional]
**id** | Option<**i64**> |  | [optional]
**ignore_whitespace_conflicts** | Option<**bool**> |  | [optional]
**internal** | Option<**bool**> |  | [optional]
**internal_tracker** | Option<[**models::InternalTracker**](InternalTracker.md)> |  | [optional]
**language** | Option<**String**> |  | [optional]
**languages_url** | Option<**String**> |  | [optional]
**link** | Option<**String**> |  | [optional]
**mirror** | Option<**bool**> |  | [optional]
**mirror_interval** | Option<**String**> |  | [optional]
**mirror_updated** | Option<**String**> |  | [optional]
**name** | Option<**String**> |  | [optional]
**object_format_name** | Option<**String**> | ObjectFormatName of the underlying git repository | [optional]
**open_issues_count** | Option<**i64**> |  | [optional]
**open_pr_counter** | Option<**i64**> |  | [optional]
**original_url** | Option<**String**> |  | [optional]
**owner** | Option<[**models::User**](User.md)> |  | [optional]
**parent** | Option<[**models::Repository**](Repository.md)> |  | [optional]
**permissions** | Option<[**models::Permission**](Permission.md)> |  | [optional]
**private** | Option<**bool**> |  | [optional]
**projects_mode** | Option<**String**> |  | [optional]
**release_counter** | Option<**i64**> |  | [optional]
**repo_transfer** | Option<[**models::RepoTransfer**](RepoTransfer.md)> |  | [optional]
**size** | Option<**i64**> |  | [optional]
**ssh_url** | Option<**String**> |  | [optional]
**stars_count** | Option<**i64**> |  | [optional]
**template** | Option<**bool**> |  | [optional]
**updated_at** | Option<**String**> |  | [optional]
**url** | Option<**String**> |  | [optional]
**watchers_count** | Option<**i64**> |  | [optional]
**website** | Option<**String**> |  | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


